set CA_DIR=%~dp0..\
set CA_COM="BKTurbo8.exe"
set CA_B2O="BKbin2obj.exe"

set ASSEMBLER=%CA_DIR%%CA_COM%
set BIN2OBJ=%CA_DIR%%CA_B2O%

%ASSEMBLER% -l -tTL CL Superman_TapeLoader.asm
%ASSEMBLER% -l -tML CL Superman_Loader.asm
%ASSEMBLER% -lTapeLoader_l -r LI TapeLoader Superman_TapeLoader.obj ML_tbl.obj
%ASSEMBLER% -lSUPERMAN LI SUPERMAN Superman_Loader.obj TL_tbl.obj

%BIN2OBJ% -sbin -lPicData Superman_PicData.dat
%ASSEMBLER% -l cl Superman_pic.asm
%ASSEMBLER% -lSuperman_pic_l li SUPERMAN.PIC Superman_pic.obj Superman_PicData.obj ML_tbl.obj TL_tbl.obj

%ASSEMBLER% -l -o -r co Superman_game.asm
%ASSEMBLER% -l cl Superman_game_preparer.asm
%ASSEMBLER% -lSuperman_gmc_l li SUPERMAN.GMC Superman_game_preparer.obj Superman_game.obj



md out
copy *.bin out\*
rem copy *.raw out\*
rem copy *.lst out\*

del *.bin
del *.raw
del *.obj
del *.lst
